Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordmapping
Class DefaultRecordMappingFactory

    java.lang.Object
      com.servingxml.components.recordmapping.DefaultRecordMappingFactory

All Implemented Interfaces:
  MapXmlFactory, RecordMappingFactory

    public class DefaultRecordMappingFactory

extends java.lang.Object
implements RecordMappingFactory

Field Summary
`static org.xml.sax.helpers.AttributesImpl` | `EMPTY_ATTRIBUTES`

Constructor Summary
`DefaultRecordMappingFactory(ParameterDescriptor[] parameterDescriptors, QnameContext nameContext, XsltConfiguration xsltConfiguration, Name documentName)`

Method Summary
`void` | `addToXsltEvaluator(java.lang.String mode, XsltEvaluatorFactory recordTemplatesFactory)`
`MapXml` | `createMapXml(ServiceContext context)`
`boolean` | `isGroup()`
`boolean` | `isRecord()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_ATTRIBUTES

    public static final org.xml.sax.helpers.AttributesImpl EMPTY_ATTRIBUTES

Constructor Detail

### DefaultRecordMappingFactory

    public DefaultRecordMappingFactory(ParameterDescriptor[] parameterDescriptors,
                                       QnameContext nameContext,
                                       XsltConfiguration xsltConfiguration,
                                       Name documentName)

Method Detail

### createMapXml

    public MapXml createMapXml(ServiceContext context)

  Specified by:
    `createMapXml` in interface `MapXmlFactory`

### addToXsltEvaluator

    public void addToXsltEvaluator(java.lang.String mode,
                                   XsltEvaluatorFactory recordTemplatesFactory)

  Specified by:
    `addToXsltEvaluator` in interface `MapXmlFactory`

### isGroup

    public boolean isGroup()

  Specified by:
    `isGroup` in interface `MapXmlFactory`

### isRecord

    public boolean isRecord()

  Specified by:
    `isRecord` in interface `MapXmlFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD